summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-c-4
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2007-05-14 23:06:31 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:14:48 +0200
commitea6f5e58fccbdb7c52038b045ffd8334cbc9839e (patch)
treec10b9eb2d90e6ed4a88c718f5c21a27c3e6a294a /gettext-tools/tests/xgettext-c-4
parent8cab443cf22ac7ca0c2158436ec55f275753a128 (diff)
downloadexternal_gettext-ea6f5e58fccbdb7c52038b045ffd8334cbc9839e.zip
external_gettext-ea6f5e58fccbdb7c52038b045ffd8334cbc9839e.tar.gz
external_gettext-ea6f5e58fccbdb7c52038b045ffd8334cbc9839e.tar.bz2
Convert CR/LF to LF.
Diffstat (limited to 'gettext-tools/tests/xgettext-c-4')
-rwxr-xr-xgettext-tools/tests/xgettext-c-46
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/xgettext-c-4 b/gettext-tools/tests/xgettext-c-4
index 0f216d4..290fb32 100755
--- a/gettext-tools/tests/xgettext-c-4
+++ b/gettext-tools/tests/xgettext-c-4
@@ -10,9 +10,11 @@ cat <<EOF > xg-c-4.in.c
main()??<printf(gettext("Hello, " "World!" "??/n")); ??>
EOF
-tmpfiles="$tmpfiles xg-c-4.po"
+tmpfiles="$tmpfiles xg-c-4.tmp.po xg-c-4.po"
: ${XGETTEXT=xgettext}
-${XGETTEXT} --omit-header --no-location --trigraphs -d xg-c-4 xg-c-4.in.c
+${XGETTEXT} --omit-header --no-location --trigraphs -d xg-c-4.tmp xg-c-4.in.c
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < xg-c-4.tmp.po > xg-c-4.po
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles xg-c-4.ok"